View Issue Details

IDProjectCategoryView StatusLast Update
0000235Adventure PHP FrameworkNeues Feature // New Featurepublic2015-10-12 12:19
ReporterGeneral CrimeAssigned ToChristianAchatz 
PriorityhighSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Product Version2.1 
Target Version3.0Fixed in Version3.0 
Summary0000235: Die Funktion setPlaceholdersIfExist() gibt es nicht im Template.
DescriptionHallo, derzeit arbeite ich an einem eigenen Gästebuch da das guestbook2009 nicht wirklich aktuell ist und ich bereits immer das guestbook genutzt habe. Das guestbook existiert aber anscheinend nicht mehr und so habe ich es überarbeitet.

Ich nutze nun verschiedene Templates aber überall die gleichen Controller (da ich in css noch nicht so gut bin). Ich habe nun festgestellt das die Funktion setPlaceHoldersIfExist() oder die einzelne nicht in Templates Funktioniert sondern nur im Root COntroller.

Dies ist sehr schade da die Funktion sehr gut ist vor allem für besagtes Beispiel.
Steps To ReproduceTemplate = $this->getTemplate('name');
Template->setPlaceHoldersIfExist(array());
TagsNo tags attached.
Codereferenz: ([Datei]:[Zeile])
Namespacecore

Activities

ChristianAchatz

2014-09-11 13:30

administrator   ~0000499

Hallo General Crime,

das Modul "guestbook" (unter "APF\modules\guestbook") wurde in 2.0 entfernt, da es veraltet war. Ab Version 2.0 steht nur noch das Modul "guestbook2009" (unter "APF\modules\guestbook2009") zur Verfügung - Doku siehe http://adventure-php-framework.org/Seite/129-Objektorientierte-Implementierung-eines-Gaestebuchs. Dieses ist natürlich weiterhin funktionsfähig und wurde zusammen mit einem Wizzard in die Sandbox (siehe http://files.adventure-php-framework.org/2.1/download/apf-demopack-2.1.1-2014-09-06-1448-php5.zip) eingebaut.

Wenn du lieber die "alte" Implementierung nutzt - gerne - hierfür können wir allerdings keinen aktiven Support übernehmen. Da du dir das aber schon selbst erweitert/umgeschrieben hast, sollte es alle Funktionen erfüllen.

Das Einführen einer Methode setPlaceHoldersIfExist() bzw. setPlaceHolderIfExists() für den TemplateTag halte ich für eine gute Idee. Ich nehme das für 3.0 direkt auf.

General Crime

2014-09-15 18:39

developer   ~0000501

Danke das war sinn der Sache das mit dem GB war nur zum besseren Verständniss.

ChristianAchatz

2014-09-16 22:37

administrator   ~0000502

Alright. Implementierung erfolgt demnächst.

ChristianAchatz

2014-09-25 17:57

administrator   ~0000507

Implementation done.

Issue History

Date Modified Username Field Change
2014-09-11 12:52 General Crime New Issue
2014-09-11 13:30 ChristianAchatz Note Added: 0000499
2014-09-11 13:30 ChristianAchatz Target Version => 3.0
2014-09-15 18:39 General Crime Note Added: 0000501
2014-09-16 22:37 ChristianAchatz Note Added: 0000502
2014-09-25 17:57 ChristianAchatz Assigned To => ChristianAchatz
2014-09-25 17:57 ChristianAchatz Status new => assigned
2014-09-25 17:57 ChristianAchatz Note Added: 0000507
2014-09-25 17:57 ChristianAchatz Status assigned => resolved
2014-09-25 17:57 ChristianAchatz Fixed in Version => 3.0
2014-09-25 17:57 ChristianAchatz Resolution open => fixed
2015-10-12 12:19 ChristianAchatz Status resolved => closed